<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ControllerManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#af2e310f231acf0c16e49606c067de5fb">clearControllers</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a096c21cea840f52ad6cbdbc60c47815b">ControllerList</a> typedef</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a10f4bb90f05406d2a2aba8da2dc8b747">ControllerManager</a>()</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a9f3982cde857fa24a943d006055fc683">createController</a>(const ControllerValueRealPtr &amp;src, const ControllerValueRealPtr &amp;dest, const ControllerFunctionRealPtr &amp;func)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#aee6987d8cf3b28e404ddaf7305746093">createFrameTimePassthroughController</a>(const ControllerValueRealPtr &amp;dest)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ad1e4dcf6097ff3dc2a0fba4983ab43ce">createGpuProgramTimerParam</a>(GpuProgramParametersSharedPtr params, size_t paramIndex, Real timeFactor=1.0f)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#aca387f07522b8a9d0d432483d4d3c01c">createTextureAnimator</a>(TextureUnitState *layer, Real sequenceTime)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a1f82bf242c70d3d07e7bfc36e975e7f2">createTextureRotater</a>(TextureUnitState *layer, Real speed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#af5924b16f9b1065603e16afef947352d">createTextureUScroller</a>(TextureUnitState *layer, Real uSpeed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a59a8e73c5ee11b05b5506ed35759a967">createTextureUVScroller</a>(TextureUnitState *layer, Real speed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ab7eceb56b8f88d6711bb92b89edac320">createTextureVScroller</a>(TextureUnitState *layer, Real vSpeed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983">createTextureWaveTransformer</a>(TextureUnitState *layer, TextureUnitState::TextureTransformType ttype, WaveformType waveType, Real base=0, Real frequency=1, Real phase=0, Real amplitude=1)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a8101005e37057a9e2b4830f8294d76ad">destroyController</a>(Controller&lt; Real &gt; *controller)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a7426664951c1f7bc6e42ff5e83cd8ec8">getElapsedTime</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a66be5a1f5f7fa249d1bbd27d6eaec21d">getFrameDelay</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#adf59b698017c1bc2af26fa30c0bcfa80">getFrameTimeSource</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a4cdfe01292213ab51cd22721de5d0474">getPassthroughControllerFunction</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a68fb107a5e1b3470c7381c0c1fdd36c7">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#afc3e91410cbc2f77cfff9f9b09ef60f7">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a22912479acd815fc94365804a8a6238e">getTimeFactor</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ad263be2e0db9bbddc6e4587a78f615c8">mControllers</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a555188386569bbacdec2d662b64fd59c">mFrameTimeController</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a630fae68555eb16ed10c282fa5826eb8">mLastFrameNumber</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ae275d3c92f688de92071a85e24a3f42f">mPassthroughFunction</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ControllerManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#aeae665419e95a8b9a250254462297786">setElapsedTime</a>(Real elapsedTime)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#aa27ced49b9021563ef663cebdd320191">setFrameDelay</a>(Real fd)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ac254afaf3a4086f0b1f4fb5391d48446">setTimeFactor</a>(Real tf)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ControllerManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#adec63ad5547225a6d1023f127205a558">updateAllControllers</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ac22a262e1100162f5f9280f59e47cdbb">~ControllerManager</a>()</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ControllerManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
